import { PageParam, ColumnsItem, CrumbsItem } from '@/types/common-interface';
// table-行数据接口
export interface Row {
  amount: number;
  changeMsg: string;
  changeType: string;
  createOperId: string;
  createOperName: string;
  createOperOrgId: string;
  createOperOrgName: string;
  createTime: number;
  id: number;
  inventoryNo: string;
  inventoryOrdId: 1405;
  operType: string;
  ownerOrgId: string;
  ownerOrgName: string;
  ownerOrgType: string;
  remark: string | null;
  skuId: string;
  skuName: string;
  state: string;
  storageId: number;
  supplierId: number;
  supplierName: string;
  updateTime: number;
}
export interface SearchForm {
  currentId: string | null;
  storageId: string | null;
  skuId: string | null;
  page: PageParam;
}
export interface DataList {
  currentRow: Row | null;
  pageSizes: Array<number>;
  total: number | null;
  columns: Array<ColumnsItem>;
  tableData: Array<Row>;
  crumbs: Array<CrumbsItem>;
  searchForm: SearchForm;
}
