export default {
  WAREHOUSE: {
    list: '/stocksrv/api/purchaseManage/v1.0/queryPurchaseOrder',
    QueryState: '/stocksrv/api/basesys/v1.0/queryBaseSysParamList', // 查询下拉数据
    QueryOrganization: '/syssrv/api/officeManage/v1.0/orgDownSelect',
    QueryGoods: '/stocksrv/api/purchaseManage/queryPageSkuOfAddInv',
    getDownSelSupOfAddInv: '/stocksrv/api/purchaseManage/v1.0/getDownSelSupOfAddInv', // 查询供货商
    queryPageSkuOfAddInv: '/stocksrv/api/purchaseManage/v1.0/queryPageSkuOfAddInv', // 新增采购单查商品
    importSerialNum: '/stocksrv/api/purchaseManage/v1.0/importSerialNum', // 导入串号
    addInvStorageStockOrder: '/stocksrv/api/purchaseManage/v1.0/addInvStorageStockOrder', // 导入串号
    processInvStock: '/stocksrv/api/purchaseManage/v1.0/processInvStock', // 审核
    getStockOrderDetail: '/stocksrv/api/purchaseManage/v1.0/getStockOrderDetail', // 入库单详情
    getHandlerOfAddInv: '/syssrv/api/userManage/v1.0/getHandlerOfAddInv', // 经手人查询
    getPageStockSkuInfo: '/stocksrv/api/stockOutManage/v1.0/getPageStockSkuInfo', // 出库单商品查询
    getSkuSerialInfo: '/stocksrv/api/stockOutManage/v1.0/getPageSkuSerialInfo', // 出库单查询串号
    OutStockList: '/stocksrv/api/stockOutManage/v1.0/queryStockOutOrders', // 出库单列表
    OutStockDetail: '/stocksrv/api/stockOutManage/v1.0/stockOutOrderInfo' // 出库单详情
  },
  SUPPLIER: {
    list: '/stocksrv/api/supplerManage/queryListSuppler',
    deleteSupplier: '/stocksrv/api/supplerManage/deleteSupplers',
    editSupplier: '/stocksrv/api/supplerManage/changeSuppler',
    addSupplier: '/stocksrv/api/supplerManage/insertSuppler',
    importSupplier: '/api/stocksrv/api/supplerManage/importSupplerInfo',
    updateDisable: '/stocksrv/api/supplerManage/updateDisable',
    getArea: '/syssrv/api/userManage/v1.0/getSysUserAreaInfo',
    supplierInfo: '/stocksrv/api/supplerManage/supplerInfo',
    download: '/api/stocksrv/api/download/v1.0/download'
  },
  GOODS: {
    queryGoodsList: '/stocksrv/api/skuManage/querySkuInfos', // 查询商品列表
    addNewGoods: '/stocksrv/api/skuManage/insertSkuInfo', // 新增商品
    updateGoodsInfo: '/stocksrv/api/skuManage/updateSkuInfo', // 编辑商品
    delGoods: '/stocksrv/api/skuManage/deleteSkuInfo', // 删除商品
    download: '/api/stocksrv/api/download/v1.0/download', // 下载模板
    importGoods: '/api/stocksrv/api/skuManage/importSkuInfo' // 导入模板
  },
  InventoryManage: {
    queryStockInfo: '/stocksrv/api/stockManage/queryStockInfo', // 查看仓库信息列表
    querySkuChangeLog: '/stocksrv/api/stockManage/querySkuChangeLog' // 查询库存流水
  },
  // 用户管理
  USERMANAGE: {
    getSysUserOfficeInfo: '/syssrv/api/userManage/v1.0/getSysUserOfficeInfo' // 门店下拉查询
  }
};
